<?php
/**
 * The class for wp_media extends
 *
 * @link       http://webdeclic.com
 * @since      1.0.0
 *
 * @package    Quickwebp
 * @subpackage Quickwebp/admin
 */
class Quickwebp_Wp_Media_Extends {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of this plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}

	public function enqueue_scripts(){
		global $pagenow;
		if(get_option('quickwebp_settings_paste_image', quickwebp_settings_default('quickwebp_settings_paste_image')) != '1'){
			return;
		}
		
		$wp_media_extends_assets = include( QUICKWEBP_PLUGIN_PATH . 'public/assets/build/wp-media-extends.asset.php' );
		wp_enqueue_script( 'quickwebp-wp-media-extends', QUICKWEBP_PLUGIN_URL . 'public/assets/build/wp-media-extends.js', $wp_media_extends_assets['dependencies'], $wp_media_extends_assets['version'], true );
		wp_localize_script( 'quickwebp-wp-media-extends', 'quickwebp_wp_media_extends', array(
			'is_upload_page' => $pagenow ? $pagenow === 'upload.php' : false,
			'nonce' => wp_create_nonce( 'media-form' ),
			'prompt_text' => __( 'Please enter the name of your image', QUICKWEBP_TEXT_DOMAIN ),
		) );
	}
	

}