<?php
/**
 * The admin settings of the plugin.
 * @since      1.0.0
 */
?>
<h1><?php _e( "QuickWebp Settings", QUICKWEBP_TEXT_DOMAIN ); ?></h1>
<form action="" method="post">

    <table class="form-table">

        <?php $this->render_component( array(
            'type'      => 'toggle',
            'name'      => 'quickwebp_settings_conversion',
            'label'     => __( "Enable/disable image conversion to WEBP format", QUICKWEBP_TEXT_DOMAIN ),
            'default'   => quickwebp_settings_default('quickwebp_settings_conversion'),
            'classes'   => 'toggle-with-children',
        )); ?>

        <tbody class="form-table children">

            <?php $this->render_component( array(
                'type'        => 'number',
                'name'        => 'quickwebp_settings_conversion_max_width',
                'label'       => __( 'Max width', QUICKWEBP_TEXT_DOMAIN ),
                'default'     => quickwebp_settings_default('quickwebp_settings_conversion_max_width')
            )); ?>

            <?php $this->render_component( array(
                'type'        => 'number',
                'name'        => 'quickwebp_settings_conversion_max_height',
                'label'       => __( 'Max height', QUICKWEBP_TEXT_DOMAIN ),
                'default'     => quickwebp_settings_default('quickwebp_settings_conversion_max_height')
            )); ?>

            <?php $this->render_component( array(
                'type'        => 'number',
                'name'        => 'quickwebp_settings_conversion_quality',
                'label'       => __( 'Quality', QUICKWEBP_TEXT_DOMAIN ),
                'default'     => quickwebp_settings_default('quickwebp_settings_conversion_quality')
            )); ?>

            <?php $this->render_component( array(
                'type'        => 'number',
                'name'        => 'quickwebp_settings_conversion_sharpen',
                'label'       => __( 'Sharpen', QUICKWEBP_TEXT_DOMAIN ),
                'default'     => quickwebp_settings_default('quickwebp_settings_conversion_sharpen')
            )); ?>

        </tbody>

    </table>

    <hr>

    <table class="form-table">

        <?php $this->render_component( array(
            'type'      => 'toggle',
            'name'      => 'quickwebp_settings_completion',
            'label'     => __( "Enable/disable smart media completion for SEO", QUICKWEBP_TEXT_DOMAIN ),
            'default'   => quickwebp_settings_default('quickwebp_settings_completion'),
            'classes'   => 'toggle-with-children',
            'description' => __( "This feature will automatically complete the media information (title, caption, alt text, description) from the image name.", QUICKWEBP_TEXT_DOMAIN ),
        )); ?>

        <tbody class="form-table children">

            <?php $this->render_component( array(
                'type'        => 'checkbox',
                'name'        => 'quickwebp_settings_completion_options',
                'default'     => quickwebp_settings_default('quickwebp_settings_completion_options'),
                'options'    => array(
                    array(
                        'label' => __( 'Title completion from image name', QUICKWEBP_TEXT_DOMAIN ),
                        'value' => 'title',
                    ),
                    array(
                        'label' => __( 'Caption completion from image name.', QUICKWEBP_TEXT_DOMAIN ),
                        'value' => 'caption',
                    ),
                    array(
                        'label' => __( 'Alt text completion from image name.', QUICKWEBP_TEXT_DOMAIN ),
                        'value' => 'alt',
                    ),
                    array(
                        'label' => __( 'Description completion from image name.', QUICKWEBP_TEXT_DOMAIN ),
                        'value' => 'description',
                    )
                )
            )); ?>

        </tbody>

    </table>

    <hr>

    <table class="form-table">

        <?php $this->render_component( array(
            'type'        => 'toggle',
            'name'        => 'quickwebp_settings_cleanup',
            'label'       => __( "Enable/disable file name cleanup", QUICKWEBP_TEXT_DOMAIN ),
            'default'     => quickwebp_settings_default('quickwebp_settings_cleanup'),
            'description' => __( "Remove special characters from file names.", QUICKWEBP_TEXT_DOMAIN ),
        )); ?>

    </table>
    
    <hr>

    <table class="form-table">

        <?php $this->render_component( array(
            'type'        => 'toggle',
            'name'        => 'quickwebp_settings_paste_image',
            'label'       => __( "Enable/disable paste picture directly (beta)", QUICKWEBP_TEXT_DOMAIN ),
            'default'     => quickwebp_settings_default('quickwebp_settings_paste_image'),
            'description' => __( "With this feature you can paste directly your picture in WordPress media.", QUICKWEBP_TEXT_DOMAIN ),
        )); ?>

    </table>

    <hr>

    <table class="form-table">

        <?php $this->render_component( array(
            'type'        => 'select',
            'options'     => array(
                array(
                    'value' => 'gd',
                    'label' => 'GD'
                ),
                array(
                    'value' => 'imagick',
                    'label' => 'Imagick'
                )
            ),
            'name'        => 'quickwebp_settings_library',
            'label'       => __( "Library to use", QUICKWEBP_TEXT_DOMAIN ),
            'default'     => quickwebp_settings_default('quickwebp_settings_library'),
            'description' => __( "We use the GD library as the default option. However, if the GD library is not available, we will use Imagick instead.", QUICKWEBP_TEXT_DOMAIN )
        )); ?>

    </table>

    <?php submit_button(); ?>
</form>