<?php

/**
 * Fired during plugin activation
 *
 * @link       http://webdeclic.com
 * @since      1.0.0
 *
 * @package    Quickwebp
 * @subpackage Quickwebp/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Quickwebp
 * @subpackage Quickwebp/includes
 * @author     Webdeclic <contact@webdeclic.com>
 */
class Quickwebp_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		$library_to_use		= get_option( 'quickwebp_settings_library', quickwebp_settings_default('quickwebp_settings_library') );

		switch ($library_to_use) {

			case 'gd':
				if ( !extension_loaded('gd') ) {
					update_option( 'quickwebp_settings_library', 'imagick' );
				}
			break;

			case 'imagick':
				if ( !extension_loaded('imagick') ) {
					update_option( 'quickwebp_settings_library', 'gd' );
				}
			break;
		}

	}

}
